Bug 391 - Special characters show up as blocks
Special characters show up as blocks
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.0preX
All Linux
: P3 normal
: none
Assigned To: Alexander Bokovoy
http://www.hiddefennema.nl/samba_char...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-02 10:24 UTC by Hidde Fennema
Modified: 2005-11-14 09:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hidde Fennema 2003-09-02 10:24:40 UTC
I have a dir on my Slackware 9.0 Samba 3.0 RC2 server which among others 
contains the following three directories:

Foto's röntgen
Foto's vakantie Italië 2002
Foto's vakantie Italië 2003

None of these show up, but instead three directories with unkown chars show 
up. See the URL (http://www.hiddefennema.nl/samba_char.jpg) for a screenshot.

I have not configured any special codepages; i'm using a Samba 2.2 config 
file, and I compiled RC2 only with '--with-msdfs'.

The server is running as DC. The client is a domain joined WXP Pro box.

Regards,
Hidde
Comment 1 Alexander Bokovoy 2003-09-02 10:56:49 UTC
Please post result of running testparm over your config file.
Comment 2 Hidde Fennema 2003-09-02 11:43:44 UTC
The error occurs in the archive share.

(20:41:37)root@it-combine /usr/local/samba/bin$ ./testparm
Load smb config files from /usr/local/samba/lib/smb.conf
Processing section "[netlogon]"
Processing section "[homes]"
Processing section "[archive]"
Processing section "[tmp]"
Processing section "[root]"
Processing section "[printers]"
Processing section "[profiles]"
Processing section "[web]"
Loaded services file OK.
Server role: ROLE_DOMAIN_PDC
Press enter to see a dump of your service definitions
# Global parameters
[global]
        workgroup = NLITC1
        server string = PDC
        interfaces = 10.0.0.1/27
        client lanman auth = No
        client plaintext auth = No
        name resolve order = bcast
        add user script = /usr/sbin/useradd -d /dev/null -g 100 -s /bin/false -
M %u
        logon path = \\it-combine\profiles\%u
        logon drive = Z:
        logon home = \\it-combine\%u
        domain logons = Yes
        os level = 99
        preferred master = Yes
        domain master = Yes
        wins support = Yes
        host msdfs = Yes
        admin users = root

[netlogon]
        path = /usr/local/samba/netlogon

[homes]
        read only = No
        create mask = 0700
        directory mask = 0700

[archive]
        comment = Super Duper Disks
        path = /archive
        read only = No
        create mask = 0700
        directory mask = 0700

[tmp]
        comment = temp filespace
        path = /tmp
        read only = No
        guest ok = Yes

[root]
        comment = root
        path = /
        valid users = root, hidde, arjen
        read only = No

[printers]
        comment = All Printers
        path = /var/spool/lpd/
        read only = No
        create mask = 0777
        printable = Yes
        browseable = No

[profiles]
        comment = User profiles
        path = /profiles
        read only = No
        create mask = 0700

[web]
        comment = User profiles
        path = /webservers/htdocs
        read only = No
        create mask = 0755
Comment 3 Alexander Bokovoy 2003-09-03 05:24:54 UTC
So, you have:
  dos charset = CP850
  unix charset = UTF-8
These are defaults for 3.0. What actual encoding was used for files in [archive]? 
Were they created with Samba 2.2 (which does not support UTF-8 as unix
filenames' encoding)?
If so, please either convert file names to UTF-8 before sharing files over Samba
3.0 or use appropriate 'unix charset' setting which was used in yours Samba 2.2
installation.
Comment 4 Marc Groot Koerkamp 2003-09-06 06:27:22 UTC
Bug #411 is related to this bug.

I also moved from samba 2.2 without dos charset or unix charset settings in 
smb.conf.
Comment 5 Hidde Fennema 2003-09-10 06:43:38 UTC
OK, it's gone. It now works - I've renamed the directories to names without 
weird chars and then renamed them back to the original names using Samba 3. Now 
they display correctly.
Comment 6 Alexander Bokovoy 2003-09-10 07:09:59 UTC
Migration issue, fixed by original bug reporter. 
Comment 7 Gerald (Jerry) Carter 2005-02-07 09:05:42 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:26:42 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 9 Gerald (Jerry) Carter 2005-11-14 09:30:27 UTC
database cleanup